"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const navigationActions = tslib_1.__importStar(require("src/actions/navigation"));
const routeList_1 = require("src/routeList");
exports.SET_DOC_DETAIL = 'SET_SELECTED_DOCUMENT_DETAIL';
exports.CLEAR_DOC_DETAIL = 'CLEAR_SELECTED_DOCUMENT_DETAIL';
exports.setSelectedDocument = (document) => ({
    type: exports.SET_DOC_DETAIL,
    value: document,
});
exports.clearSelectedDocument = () => ({
    type: exports.CLEAR_DOC_DETAIL,
});
exports.openDocumentDetails = (document) => (dispatch) => tslib_1.__awaiter(this, void 0, void 0, function* () {
    dispatch(exports.setSelectedDocument(document));
    dispatch(navigationActions.navigate({
        routeName: routeList_1.routeList.DocumentDetails,
    }));
});
