"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const documents_1 = require("src/actions/documents");
const initialState = {
    selectedDocument: {
        credentialType: '',
        subject: '',
        id: '',
        issuer: {
            did: '',
        },
        expires: undefined,
        claimData: {
            type: '',
            documentNumber: '',
        },
    },
};
exports.documentsReducer = (state = initialState, action) => {
    switch (action.type) {
        case documents_1.SET_DOC_DETAIL:
            return Object.assign({}, state, { selectedDocument: action.value });
        case documents_1.CLEAR_DOC_DETAIL:
            return Object.assign({}, state, { selectedDocument: initialState.selectedDocument });
        default:
            return state;
    }
};
