"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const initialState = {
    locale: '',
    seedPhraseSaved: false,
};
exports.settingsReducer = (state = initialState, action) => {
    switch (action.type) {
        case 'LOAD_SETTINGS':
            return action.value;
        case 'SET_LOCALE':
            return Object.assign({}, state, { locale: action.value });
        case 'SET_SEED_PHRASE_SAVED':
            return Object.assign({}, state, { seedPhraseSaved: true });
        default:
            return state;
    }
};
