"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// @NOTE when you add a new ErrorCode, remember to add it to src/locales/strings
var ErrorCode;
(function (ErrorCode) {
    ErrorCode["Unknown"] = "Unknown";
    // actions/account/index
    ErrorCode["WalletInitFailed"] = "WalletInit";
    ErrorCode["SaveClaimFailed"] = "SaveClaim";
    ErrorCode["SaveExternalCredentialFailed"] = "SaveExtCred";
    // actions/sso
    ErrorCode["DeepLinkUrlNotFound"] = "DeepLinkUrlNotFound";
    // actions/sso/authenticationRequest
    ErrorCode["AuthenticationRequestFailed"] = "AuthRequest";
    ErrorCode["AuthenticationResponseFailed"] = "AuthResponse";
    // actions/sso/paymentRequest
    ErrorCode["PaymentRequestFailed"] = "PayRequest";
    ErrorCode["PaymentResponseFailed"] = "PayResponse";
    // actions/sso/index
    ErrorCode["CredentialOfferFailed"] = "CredOffer";
    ErrorCode["CredentialsReceiveFailed"] = "CredsReceive";
    ErrorCode["CredentialRequestFailed"] = "CredRequest";
    ErrorCode["CredentialResponseFailed"] = "CredResponse";
    ErrorCode["ParseJWTFailed"] = "ParseJWT";
    // actions/registration
    ErrorCode["RegistrationFailed"] = "Registration";
    // ui/generic/appInit
    ErrorCode["AppInitFailed"] = "AppInitFailed";
})(ErrorCode = exports.ErrorCode || (exports.ErrorCode = {}));
