"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const settingEntity_1 = require("./settingEntity");
exports.SettingEntity = settingEntity_1.SettingEntity;
const credentialEntity_1 = require("./credentialEntity");
exports.CredentialEntity = credentialEntity_1.CredentialEntity;
const masterKeyEntity_1 = require("./masterKeyEntity");
exports.MasterKeyEntity = masterKeyEntity_1.MasterKeyEntity;
const personaEntity_1 = require("./personaEntity");
exports.PersonaEntity = personaEntity_1.PersonaEntity;
const signatureEntity_1 = require("./signatureEntity");
exports.SignatureEntity = signatureEntity_1.SignatureEntity;
const verifiableCredentialEntity_1 = require("./verifiableCredentialEntity");
exports.VerifiableCredentialEntity = verifiableCredentialEntity_1.VerifiableCredentialEntity;
const cacheEntity_1 = require("./cacheEntity");
exports.CacheEntity = cacheEntity_1.CacheEntity;
const interactionTokenEntity_1 = require("./interactionTokenEntity");
exports.InteractionTokenEntity = interactionTokenEntity_1.InteractionTokenEntity;
exports.entityList = [
    settingEntity_1.SettingEntity,
    credentialEntity_1.CredentialEntity,
    masterKeyEntity_1.MasterKeyEntity,
    personaEntity_1.PersonaEntity,
    signatureEntity_1.SignatureEntity,
    verifiableCredentialEntity_1.VerifiableCredentialEntity,
    cacheEntity_1.CacheEntity,
    interactionTokenEntity_1.InteractionTokenEntity,
];
