"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const redux_1 = require("redux");
const settings_1 = require("src/reducers/settings/");
const account_1 = require("src/reducers/account/");
const registration_1 = require("src/reducers/registration/");
const documents_1 = require("./documents");
const notifications_1 = require("./notifications");
exports.rootReducer = redux_1.combineReducers({
    settings: settings_1.settingsReducer,
    account: account_1.accountReducer,
    registration: registration_1.registrationReducer,
    documents: documents_1.documentsReducer,
    notifications: notifications_1.notificationsReducer,
});
