"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// NOTE: don't use 'const' so that values are useable in both .js and .ts files
var routeList;
(function (routeList) {
    routeList["AppInit"] = "AppInit";
    routeList["Main"] = "Main";
    // Registration
    routeList["Registration"] = "Registration";
    routeList["Landing"] = "Landing";
    routeList["Entropy"] = "Entropy";
    routeList["RegistrationProgress"] = "RegistrationProgress";
    routeList["Loading"] = "Loading";
    // Recovery
    routeList["InputSeedPhrase"] = "InputSeedPhrase";
    // Bottom Nav Screens
    routeList["Home"] = "Home";
    routeList["Claims"] = "Claims";
    routeList["Documents"] = "Documents";
    routeList["Records"] = "Records";
    routeList["Settings"] = "Settings";
    routeList["InteractionScreen"] = "InteractionScreen";
    // Interactions & Details
    routeList["CredentialDialog"] = "CredentialDialog";
    routeList["Consent"] = "Consent";
    routeList["PaymentConsent"] = "PaymentConsent";
    routeList["AuthenticationConsent"] = "AuthenticationConsent";
    routeList["ClaimDetails"] = "ClaimDetails";
    routeList["DocumentDetails"] = "DocumentDetails";
    // Settings
    routeList["RepeatSeedPhrase"] = "RepeatSeedPhrase";
    routeList["SeedPhrase"] = "SeedPhrase";
    // General
    routeList["Exception"] = "Exception";
    routeList["ErrorReporting"] = "ErrorReporting";
    // Dev only
    routeList["Storybook"] = "Storybook";
    routeList["NotificationScheduler"] = "NotificationScheduler";
})(routeList = exports.routeList || (exports.routeList = {}));
